Subject: de4x5 hangs with SMP: synchronize_irq() in interrupt handler?

From: Ondrej Zary <[email-masked]>
Date: Tue, 21 Sep 2010 22:30:49 +0200

Hello,
I'm trying to get two Compex FreedomLine 32 PnP-PCI2 cards to work (21041-AA 
and 21041-PA) - there are problems with de2104x driver (one of the cards does 
not work at all and the other one switches to non-existing AUI port when the 
link goes down and never switches back to RJ45) and I know that de4x5 driver 
worked for me in past.

Loading de4x5 causes the machine to hang immediately. It hangs at 
synchronize_irq() call from de4x5_interrupt(). Commenting out this allows the 
driver to work. Without SMP, synchronize_irq() is redefined to barrier() so 
it works.

I don't have a clue how to fix this properly - does anyone know?

-- 
Ondrej Zary